diff --git a/guava/src/com/google/common/io/Files.java b/guava/src/com/google/common/io/Files.java
index bf6289e..a45e5ec 100644
--- a/guava/src/com/google/common/io/Files.java
+++ b/guava/src/com/google/common/io/Files.java
@@ -18,20 +18,15 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.io.FileWriteMode.APPEND;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Joiner;
 import com.google.common.base.Optional;
 import com.google.common.base.Predicate;
 import com.google.common.base.Splitter;
-import com.google.common.collect.ImmutableList;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Lists;
 import com.google.common.graph.SuccessorsFunction;
 import com.google.common.graph.Traverser;
 import com.google.common.hash.HashCode;
 import com.google.common.hash.HashFunction;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.BufferedReader;
 import java.io.BufferedWriter;
 import java.io.File;
@@ -53,7 +48,6 @@ import java.util.Arrays;
 import java.util.Collections;
 import java.util.List;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Provides utility methods for working with {@linkplain File files}.
@@ -65,7 +59,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Colin Decker
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class Files {
 
@@ -85,7 +78,6 @@ public final class Files {
    *     helpful predefined constants
    * @return the buffered reader
    */
-  @Beta
   public static BufferedReader newReader(File file, Charset charset) throws FileNotFoundException {
     checkNotNull(file);
     checkNotNull(charset);
@@ -104,7 +96,6 @@ public final class Files {
    *     helpful predefined constants
    * @return the buffered writer
    */
-  @Beta
   public static BufferedWriter newWriter(File file, Charset charset) throws FileNotFoundException {
     checkNotNull(file);
     checkNotNull(charset);
@@ -235,7 +226,6 @@ public final class Files {
    *     (2^31 - 1)
    * @throws IOException if an I/O error occurs
    */
-  @Beta
   public static byte[] toByteArray(File file) throws IOException {
     return asByteSource(file).read();
   }
@@ -251,7 +241,6 @@ public final class Files {
    * @deprecated Prefer {@code asCharSource(file, charset).read()}. This method is scheduled to be
    *     removed in October 2019.
    */
-  @Beta
   @Deprecated
   public static String toString(File file, Charset charset) throws IOException {
     return asCharSource(file, charset).read();
@@ -267,7 +256,6 @@ public final class Files {
    * @param to the destination file
    * @throws IOException if an I/O error occurs
    */
-  @Beta
   public static void write(byte[] from, File to) throws IOException {
     asByteSink(to).write(from);
   }
@@ -283,7 +271,6 @@ public final class Files {
    * @deprecated Prefer {@code asCharSink(to, charset).write(from)}. This method is scheduled to be
    *     removed in October 2019.
    */
-  @Beta
   @Deprecated
   public static void write(CharSequence from, File to, Charset charset) throws IOException {
     asCharSink(to, charset).write(from);
@@ -299,7 +286,6 @@ public final class Files {
    * @param to the output stream
    * @throws IOException if an I/O error occurs
    */
-  @Beta
   public static void copy(File from, OutputStream to) throws IOException {
     asByteSource(from).copyTo(to);
   }
@@ -323,7 +309,6 @@ public final class Files {
    * @throws IOException if an I/O error occurs
    * @throws IllegalArgumentException if {@code from.equals(to)}
    */
-  @Beta
   public static void copy(File from, File to) throws IOException {
     checkArgument(!from.equals(to), "Source %s and destination %s must be different", from, to);
     asByteSource(from).copyTo(asByteSink(to));
@@ -340,7 +325,6 @@ public final class Files {
    * @deprecated Prefer {@code asCharSource(from, charset).copyTo(to)}. This method is scheduled to
    *     be removed in October 2019.
    */
-  @Beta
   @Deprecated
   public
   static void copy(File from, Charset charset, Appendable to) throws IOException {
@@ -358,7 +342,6 @@ public final class Files {
    * @deprecated Prefer {@code asCharSink(to, charset, FileWriteMode.APPEND).write(from)}. This
    *     method is scheduled to be removed in October 2019.
    */
-  @Beta
   @Deprecated
   public
   static void append(CharSequence from, File to, Charset charset) throws IOException {
@@ -370,7 +353,6 @@ public final class Files {
    *
    * @throws IOException if an I/O error occurs
    */
-  @Beta
   public static boolean equal(File file1, File file2) throws IOException {
     checkNotNull(file1);
     checkNotNull(file2);
@@ -421,7 +403,6 @@ public final class Files {
    *     java.nio.file.Files#createTempDirectory}, transforming it to a {@link File} using {@link
    *     java.nio.file.Path#toFile() toFile()} if needed.
    */
-  @Beta
   @Deprecated
   public static File createTempDir() {
     File baseDir = new File(System.getProperty("java.io.tmpdir"));
@@ -452,7 +433,6 @@ public final class Files {
    * @param file the file to create or update
    * @throws IOException if an I/O error occurs
    */
-  @Beta
   @SuppressWarnings("GoodTime") // reading system time without TimeSource
   public static void touch(File file) throws IOException {
     checkNotNull(file);
@@ -470,7 +450,6 @@ public final class Files {
    *     directories of the specified file could not be created.
    * @since 4.0
    */
-  @Beta
   public static void createParentDirs(File file) throws IOException {
     checkNotNull(file);
     File parent = file.getCanonicalFile().getParentFile();
@@ -501,7 +480,6 @@ public final class Files {
    * @throws IOException if an I/O error occurs
    * @throws IllegalArgumentException if {@code from.equals(to)}
    */
-  @Beta
   public static void move(File from, File to) throws IOException {
     checkNotNull(from);
     checkNotNull(to);
@@ -530,7 +508,6 @@ public final class Files {
    * @deprecated Prefer {@code asCharSource(file, charset).readFirstLine()}. This method is
    *     scheduled to be removed in October 2019.
    */
-  @Beta
   @Deprecated
   @CheckForNull
   public
@@ -554,7 +531,6 @@ public final class Files {
    * @return a mutable {@link List} containing all the lines
    * @throws IOException if an I/O error occurs
    */
-  @Beta
   public static List<String> readLines(File file, Charset charset) throws IOException {
     // don't use asCharSource(file, charset).readLines() because that returns
     // an immutable list, which would change the behavior of this method
@@ -589,12 +565,11 @@ public final class Files {
    * @deprecated Prefer {@code asCharSource(file, charset).readLines(callback)}. This method is
    *     scheduled to be removed in October 2019.
    */
-  @Beta
   @Deprecated
-  @CanIgnoreReturnValue // some processors won't return a useful result
+  // some processors won't return a useful result
   @ParametricNullness
   public
-  static <T extends @Nullable Object> T readLines(
+  static <T extends Object> T readLines(
       File file, Charset charset, LineProcessor<T> callback) throws IOException {
     return asCharSource(file, charset).readLines(callback);
   }
@@ -611,12 +586,11 @@ public final class Files {
    * @deprecated Prefer {@code asByteSource(file).read(processor)}. This method is scheduled to be
    *     removed in October 2019.
    */
-  @Beta
   @Deprecated
-  @CanIgnoreReturnValue // some processors won't return a useful result
+  // some processors won't return a useful result
   @ParametricNullness
   public
-  static <T extends @Nullable Object> T readBytes(File file, ByteProcessor<T> processor)
+  static <T extends Object> T readBytes(File file, ByteProcessor<T> processor)
       throws IOException {
     return asByteSource(file).read(processor);
   }
@@ -632,7 +606,6 @@ public final class Files {
    * @deprecated Prefer {@code asByteSource(file).hash(hashFunction)}. This method is scheduled to
    *     be removed in October 2019.
    */
-  @Beta
   @Deprecated
   public
   static HashCode hash(File file, HashFunction hashFunction) throws IOException {
@@ -654,7 +627,6 @@ public final class Files {
    * @see FileChannel#map(MapMode, long, long)
    * @since 2.0
    */
-  @Beta
   public static MappedByteBuffer map(File file) throws IOException {
     checkNotNull(file);
     return map(file, MapMode.READ_ONLY);
@@ -677,7 +649,6 @@ public final class Files {
    * @see FileChannel#map(MapMode, long, long)
    * @since 2.0
    */
-  @Beta
   public static MappedByteBuffer map(File file, MapMode mode) throws IOException {
     return mapInternal(file, mode, -1);
   }
@@ -701,7 +672,6 @@ public final class Files {
    * @see FileChannel#map(MapMode, long, long)
    * @since 2.0
    */
-  @Beta
   public static MappedByteBuffer map(File file, MapMode mode, long size) throws IOException {
     checkArgument(size >= 0, "size (%s) may not be negative", size);
     return mapInternal(file, mode, size);
@@ -745,7 +715,6 @@ public final class Files {
    *
    * @since 11.0
    */
-  @Beta
   public static String simplifyPath(String pathname) {
     checkNotNull(pathname);
     if (pathname.length() == 0) {
@@ -806,7 +775,6 @@ public final class Files {
    *
    * @since 11.0
    */
-  @Beta
   public static String getFileExtension(String fullName) {
     checkNotNull(fullName);
     String fileName = new File(fullName).getName();
@@ -824,7 +792,6 @@ public final class Files {
    * @return The file name without its path or extension.
    * @since 14.0
    */
-  @Beta
   public static String getNameWithoutExtension(String file) {
     checkNotNull(file);
     String fileName = new File(file).getName();
@@ -854,7 +821,6 @@ public final class Files {
    *
    * @since 23.5
    */
-  @Beta
   public static Traverser<File> fileTraverser() {
     return Traverser.forTree(FILE_TREE);
   }
@@ -880,7 +846,6 @@ public final class Files {
    *
    * @since 15.0
    */
-  @Beta
   public static Predicate<File> isDirectory() {
     return FilePredicate.IS_DIRECTORY;
   }
@@ -890,7 +855,6 @@ public final class Files {
    *
    * @since 15.0
    */
-  @Beta
   public static Predicate<File> isFile() {
     return FilePredicate.IS_FILE;
   }
diff --git a/guava/src/com/google/common/io/Flushables.java b/guava/src/com/google/common/io/Flushables.java
index 1f795a2..5cde0a8 100644
--- a/guava/src/com/google/common/io/Flushables.java
+++ b/guava/src/com/google/common/io/Flushables.java
@@ -14,8 +14,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Flushable;
 import java.io.IOException;
 import java.util.logging.Level;
@@ -27,8 +25,6 @@ import java.util.logging.Logger;
  * @author Michael Lancaster
  * @since 1.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class Flushables {
   private static final Logger logger = Logger.getLogger(Flushables.class.getName());
diff --git a/guava/src/com/google/common/io/InsecureRecursiveDeleteException.java b/guava/src/com/google/common/io/InsecureRecursiveDeleteException.java
index 4140936..581ea07 100644
--- a/guava/src/com/google/common/io/InsecureRecursiveDeleteException.java
+++ b/guava/src/com/google/common/io/InsecureRecursiveDeleteException.java
@@ -16,9 +16,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.j2objc.annotations.J2ObjCIncompatible;
 import java.nio.file.FileSystemException;
 import java.nio.file.SecureDirectoryStream;
 import javax.annotation.CheckForNull;
@@ -35,9 +32,7 @@ import javax.annotation.CheckForNull;
  * @since 21.0
  * @author Colin Decker
  */
-@Beta
-@GwtIncompatible
-@J2ObjCIncompatible // java.nio.file
+// java.nio.file
 @ElementTypesAreNonnullByDefault
 public final class InsecureRecursiveDeleteException extends FileSystemException {
 
diff --git a/guava/src/com/google/common/io/Java8Compatibility.java b/guava/src/com/google/common/io/Java8Compatibility.java
index 705d97b..b111de7 100644
--- a/guava/src/com/google/common/io/Java8Compatibility.java
+++ b/guava/src/com/google/common/io/Java8Compatibility.java
@@ -14,14 +14,12 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.nio.Buffer;
 
 /**
  * Wrappers around {@link Buffer} methods that are covariantly overridden in Java 9+. See
  * https://github.com/google/guava/issues/3990
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class Java8Compatibility {
   static void clear(Buffer b) {
diff --git a/guava/src/com/google/common/io/LineBuffer.java b/guava/src/com/google/common/io/LineBuffer.java
index f944abc..0206eb0 100644
--- a/guava/src/com/google/common/io/LineBuffer.java
+++ b/guava/src/com/google/common/io/LineBuffer.java
@@ -14,8 +14,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
 
 /**
@@ -29,7 +27,6 @@ import java.io.IOException;
  * @author Chris Nokleberg
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 abstract class LineBuffer {
   /** Holds partial line contents. */
@@ -84,7 +81,6 @@ abstract class LineBuffer {
   }
 
   /** Called when a line is complete. */
-  @CanIgnoreReturnValue
   private boolean finishLine(boolean sawNewline) throws IOException {
     String separator = sawReturn ? (sawNewline ? "\r\n" : "\r") : (sawNewline ? "\n" : "");
     handleLine(line.toString(), separator);
diff --git a/guava/src/com/google/common/io/LineProcessor.java b/guava/src/com/google/common/io/LineProcessor.java
index e28bebc..d4a3b2b 100644
--- a/guava/src/com/google/common/io/LineProcessor.java
+++ b/guava/src/com/google/common/io/LineProcessor.java
@@ -14,11 +14,7 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A callback to be used with the streaming {@code readLines} methods.
@@ -29,10 +25,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Miles Barr
  * @since 1.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
-public interface LineProcessor<T extends @Nullable Object> {
+public interface LineProcessor<T extends Object> {
 
   /**
    * This method will be called once for each line.
@@ -40,7 +34,7 @@ public interface LineProcessor<T extends @Nullable Object> {
    * @param line the line read from the input, without delimiter
    * @return true to continue processing, false to stop
    */
-  @CanIgnoreReturnValue // some uses know that their processor never returns false
+  // some uses know that their processor never returns false
   boolean processLine(String line) throws IOException;
 
   /** Return the result of processing all the lines. */
diff --git a/guava/src/com/google/common/io/LineReader.java b/guava/src/com/google/common/io/LineReader.java
index 2c57ac4..976e6c8 100644
--- a/guava/src/com/google/common/io/LineReader.java
+++ b/guava/src/com/google/common/io/LineReader.java
@@ -17,9 +17,6 @@ package com.google.common.io;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.io.CharStreams.createBuffer;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
 import java.io.Reader;
 import java.nio.CharBuffer;
@@ -35,8 +32,6 @@ import javax.annotation.CheckForNull;
  * @author Chris Nokleberg
  * @since 1.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class LineReader {
   private final Readable readable;
@@ -68,7 +63,7 @@ public final class LineReader {
    *     line-termination characters, or {@code null} if the end of the stream has been reached.
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip a line
+  // to skip a line
   @CheckForNull
   public String readLine() throws IOException {
     while (lines.peek() == null) {
diff --git a/guava/src/com/google/common/io/LittleEndianDataInputStream.java b/guava/src/com/google/common/io/LittleEndianDataInputStream.java
index 88c8e27..10ced0d 100644
--- a/guava/src/com/google/common/io/LittleEndianDataInputStream.java
+++ b/guava/src/com/google/common/io/LittleEndianDataInputStream.java
@@ -14,13 +14,9 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import com.google.common.primitives.Ints;
 import com.google.common.primitives.Longs;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.DoNotCall;
 import java.io.DataInput;
 import java.io.DataInputStream;
 import java.io.EOFException;
@@ -39,8 +35,6 @@ import java.io.InputStream;
  * @author Keith Bottner
  * @since 8.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class LittleEndianDataInputStream extends FilterInputStream implements DataInput {
 
@@ -54,9 +48,8 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
   }
 
   /** This method will throw an {@link UnsupportedOperationException}. */
-  @CanIgnoreReturnValue // to skip a line
+  // to skip a line
   @Override
-  @DoNotCall("Always throws UnsupportedOperationException")
   public String readLine() {
     throw new UnsupportedOperationException("readLine is not supported");
   }
@@ -76,7 +69,7 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
     return (int) in.skip(n);
   }
 
-  @CanIgnoreReturnValue // to skip a byte
+  // to skip a byte
   @Override
   public int readUnsignedByte() throws IOException {
     int b1 = in.read();
@@ -95,7 +88,7 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     little-endian byte order
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public int readUnsignedShort() throws IOException {
     byte b1 = readAndCheckByte();
@@ -112,7 +105,7 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     byte order
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public int readInt() throws IOException {
     byte b1 = readAndCheckByte();
@@ -131,7 +124,7 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     little-endian byte order
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public long readLong() throws IOException {
     byte b1 = readAndCheckByte();
@@ -154,7 +147,7 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     little-endian byte order
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public float readFloat() throws IOException {
     return Float.intBitsToFloat(readInt());
@@ -168,13 +161,13 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     little-endian byte order
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public double readDouble() throws IOException {
     return Double.longBitsToDouble(readLong());
   }
 
-  @CanIgnoreReturnValue // to skip a field
+  // to skip a field
   @Override
   public String readUTF() throws IOException {
     return new DataInputStream(in).readUTF();
@@ -188,7 +181,7 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     byte order.
    * @throws IOException if an I/O error occurs.
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public short readShort() throws IOException {
     return (short) readUnsignedShort();
@@ -202,19 +195,19 @@ public final class LittleEndianDataInputStream extends FilterInputStream impleme
    *     byte order
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // to skip some bytes
+  // to skip some bytes
   @Override
   public char readChar() throws IOException {
     return (char) readUnsignedShort();
   }
 
-  @CanIgnoreReturnValue // to skip a byte
+  // to skip a byte
   @Override
   public byte readByte() throws IOException {
     return (byte) readUnsignedByte();
   }
 
-  @CanIgnoreReturnValue // to skip a byte
+  // to skip a byte
   @Override
   public boolean readBoolean() throws IOException {
     return readUnsignedByte() != 0;
diff --git a/guava/src/com/google/common/io/LittleEndianDataOutputStream.java b/guava/src/com/google/common/io/LittleEndianDataOutputStream.java
index 6e51aff..5065249 100644
--- a/guava/src/com/google/common/io/LittleEndianDataOutputStream.java
+++ b/guava/src/com/google/common/io/LittleEndianDataOutputStream.java
@@ -14,8 +14,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import com.google.common.primitives.Longs;
 import java.io.DataOutput;
@@ -35,8 +33,6 @@ import java.io.OutputStream;
  * @author Keith Bottner
  * @since 8.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class LittleEndianDataOutputStream extends FilterOutputStream implements DataOutput {
 
diff --git a/guava/src/com/google/common/io/MoreFiles.java b/guava/src/com/google/common/io/MoreFiles.java
index ffe200d..ba7c7f9 100644
--- a/guava/src/com/google/common/io/MoreFiles.java
+++ b/guava/src/com/google/common/io/MoreFiles.java
@@ -19,16 +19,11 @@ package com.google.common.io;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.collect.Iterables.getOnlyElement;
 import static java.nio.file.LinkOption.NOFOLLOW_LINKS;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Optional;
 import com.google.common.base.Predicate;
-import com.google.common.collect.ImmutableList;
 import com.google.common.graph.SuccessorsFunction;
 import com.google.common.graph.Traverser;
-import com.google.j2objc.annotations.J2ObjCIncompatible;
 import java.io.IOException;
 import java.io.InputStream;
 import java.io.OutputStream;
@@ -67,9 +62,7 @@ import javax.annotation.CheckForNull;
  * @since 21.0
  * @author Colin Decker
  */
-@Beta
-@GwtIncompatible
-@J2ObjCIncompatible // java.nio.file
+// java.nio.file
 @ElementTypesAreNonnullByDefault
 public final class MoreFiles {
 
diff --git a/guava/src/com/google/common/io/MultiInputStream.java b/guava/src/com/google/common/io/MultiInputStream.java
index 9a7e0fd..c890b88 100644
--- a/guava/src/com/google/common/io/MultiInputStream.java
+++ b/guava/src/com/google/common/io/MultiInputStream.java
@@ -16,7 +16,6 @@ package com.google.common.io;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.io.IOException;
 import java.io.InputStream;
 import java.util.Iterator;
@@ -29,7 +28,6 @@ import javax.annotation.CheckForNull;
  * @author Chris Nokleberg
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class MultiInputStream extends InputStream {
 
diff --git a/guava/src/com/google/common/io/MultiReader.java b/guava/src/com/google/common/io/MultiReader.java
index cc36e52..af138c2 100644
--- a/guava/src/com/google/common/io/MultiReader.java
+++ b/guava/src/com/google/common/io/MultiReader.java
@@ -16,7 +16,6 @@ package com.google.common.io;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import java.io.IOException;
 import java.io.Reader;
@@ -29,7 +28,6 @@ import javax.annotation.CheckForNull;
  * @author Bin Zhu
  * @since 1.0
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 class MultiReader extends Reader {
   private final Iterator<? extends CharSource> it;
diff --git a/guava/src/com/google/common/io/ParametricNullness.java b/guava/src/com/google/common/io/ParametricNullness.java
index afa0db1..7a138d3 100644
--- a/guava/src/com/google/common/io/ParametricNullness.java
+++ b/guava/src/com/google/common/io/ParametricNullness.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 import static javax.annotation.meta.When.UNKNOWN;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -35,7 +34,6 @@ import javax.annotation.meta.TypeQualifierNickname;
  * href="https://android.googlesource.com/platform/libcore/+/master/luni/src/main/java/libcore/util/NullFromTypeParam.java">{@code
  * NullFromTypeParam}</a>). We use this to "undo" {@link ElementTypesAreNonnullByDefault}.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target({FIELD, METHOD, PARAMETER})
 @TypeQualifierNickname
diff --git a/guava/src/com/google/common/io/PatternFilenameFilter.java b/guava/src/com/google/common/io/PatternFilenameFilter.java
index 3cb2371..af0f19b 100644
--- a/guava/src/com/google/common/io/PatternFilenameFilter.java
+++ b/guava/src/com/google/common/io/PatternFilenameFilter.java
@@ -14,8 +14,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Preconditions;
 import java.io.File;
 import java.io.FilenameFilter;
@@ -29,8 +27,6 @@ import java.util.regex.PatternSyntaxException;
  * @author Apple Chow
  * @since 1.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class PatternFilenameFilter implements FilenameFilter {
 
diff --git a/guava/src/com/google/common/io/ReaderInputStream.java b/guava/src/com/google/common/io/ReaderInputStream.java
index 75f8a3e..bfe197c 100644
--- a/guava/src/com/google/common/io/ReaderInputStream.java
+++ b/guava/src/com/google/common/io/ReaderInputStream.java
@@ -18,7 +18,6 @@ import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkPositionIndexes;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.primitives.UnsignedBytes;
 import java.io.IOException;
 import java.io.InputStream;
@@ -43,7 +42,6 @@ import java.util.Arrays;
  *
  * @author Chris Nokleberg
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 final class ReaderInputStream extends InputStream {
   private final Reader reader;
diff --git a/guava/src/com/google/common/io/RecursiveDeleteOption.java b/guava/src/com/google/common/io/RecursiveDeleteOption.java
index 1bb27a1..9f642dd 100644
--- a/guava/src/com/google/common/io/RecursiveDeleteOption.java
+++ b/guava/src/com/google/common/io/RecursiveDeleteOption.java
@@ -16,9 +16,6 @@
 
 package com.google.common.io;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
-import com.google.j2objc.annotations.J2ObjCIncompatible;
 import java.nio.file.SecureDirectoryStream;
 
 /**
@@ -28,9 +25,7 @@ import java.nio.file.SecureDirectoryStream;
  * @since 21.0
  * @author Colin Decker
  */
-@Beta
-@GwtIncompatible
-@J2ObjCIncompatible // java.nio.file
+// java.nio.file
 @ElementTypesAreNonnullByDefault
 public enum RecursiveDeleteOption {
   /**
diff --git a/guava/src/com/google/common/io/Resources.java b/guava/src/com/google/common/io/Resources.java
index cc595fc..f3fff73 100644
--- a/guava/src/com/google/common/io/Resources.java
+++ b/guava/src/com/google/common/io/Resources.java
@@ -17,19 +17,15 @@ package com.google.common.io;
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.base.Charsets;
 import com.google.common.base.MoreObjects;
 import com.google.common.collect.Lists;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.io.IOException;
 import java.io.InputStream;
 import java.io.OutputStream;
 import java.net.URL;
 import java.nio.charset.Charset;
 import java.util.List;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Provides utility methods for working with resources in the classpath. Note that even though these
@@ -43,8 +39,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Colin Decker
  * @since 1.0
  */
-@Beta
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 public final class Resources {
   private Resources() {}
@@ -122,9 +116,9 @@ public final class Resources {
    * @return the output of processing the lines
    * @throws IOException if an I/O error occurs
    */
-  @CanIgnoreReturnValue // some processors won't return a useful result
+  // some processors won't return a useful result
   @ParametricNullness
-  public static <T extends @Nullable Object> T readLines(
+  public static <T extends Object> T readLines(
       URL url, Charset charset, LineProcessor<T> callback) throws IOException {
     return asCharSource(url, charset).readLines(callback);
   }
@@ -187,7 +181,7 @@ public final class Resources {
    *
    * @throws IllegalArgumentException if the resource is not found
    */
-  @CanIgnoreReturnValue // being used to check if a resource exists
+  // being used to check if a resource exists
   // TODO(cgdecker): maybe add a better way to check if a resource exists
   // e.g. Optional<URL> tryGetResource or boolean resourceExists
   public static URL getResource(String resourceName) {
@@ -205,7 +199,7 @@ public final class Resources {
    *
    * @throws IllegalArgumentException if the resource is not found
    */
-  @CanIgnoreReturnValue // being used to check if a resource exists
+  // being used to check if a resource exists
   public static URL getResource(Class<?> contextClass, String resourceName) {
     URL url = contextClass.getResource(resourceName);
     checkArgument(
diff --git a/guava/src/com/google/common/io/package-info.java b/guava/src/com/google/common/io/package-info.java
index f0666b2..c7bac46 100644
--- a/guava/src/com/google/common/io/package-info.java
+++ b/guava/src/com/google/common/io/package-info.java
@@ -28,9 +28,7 @@
  *
  * @author Chris Nokleberg
  */
-@CheckReturnValue
 @ParametersAreNonnullByDefault
 package com.google.common.io;
 
-import com.google.errorprone.annotations.CheckReturnValue;
 import javax.annotation.ParametersAreNonnullByDefault;
